import { ModuleTree, Plugin, Store } from 'vuex';
interface TypedStoreOptions<S> {
    strict: boolean;
    plugins: Array<Plugin<S>>;
    modules: ModuleTree<S>;
}
export declare function createVuexStore<T extends object>(pModule: T, pOptions?: Partial<TypedStoreOptions<any>>): Store<any>;
export declare function useStore<T extends object>(vuexStore: Store<any>): T;
export {};
