export declare enum DecoratorType {
    STATE = 1,
    ACTION = 2,
    MUTATION = 3,
    GETTER = 4,
    MODULE = 5
}
export interface Decorator {
    propertyName: string;
    type: DecoratorType;
    options?: any;
}
export declare type DecoratorMap = Map<string, Decorator>;
